using System;

namespace Benday.EfCore.Tests
{
    public static class UnitTestUtility
    {
        public static DateTime SafeToDateTime(string fromValue)
        {
            DateTime temp;

            if (DateTime.TryParse(fromValue, out temp) == true)
            {
                return temp;
            }
            else
            {
                return default(DateTime);
            }
        }

        public static int SafeToInt32(string fromValue)
        {
            int temp;

            if (Int32.TryParse(fromValue, out temp) == true)
            {
                return temp;
            }
            else
            {
                return default(int);
            }
        }

        public static string GetStringValue(string prefix)
        {
            return String.Format("{0}_{1}", prefix, DateTime.Now.Ticks);
        }
    }
}
