using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Benday.EfCore.Api
{
    public class Person
    {
        public Person()
        {
            PhoneNumbers = new List<Phone>();
        }

        public int Id { get; set; }
            
        public string FirstName { get; set; }
        
        public string LastName { get; set; }

        [ConcurrencyCheck]
        public DateTime LastUpdated { get; set; }

        public IList<Phone> PhoneNumbers { get; set; }
    }
}