﻿using System;
using System.Collections.Generic;

namespace Scaffold123
{
    public partial class Animal
    {
        public Animal()
        {
            AnimalFood = new HashSet<AnimalFood>();
        }

        public int Id { get; set; }
        public string Name { get; set; }

        private ICollection<AnimalFood> _AnimalFood;
        public virtual ICollection<AnimalFood> AnimalFood
        {
            get
            {
                if (_AnimalFood == null)
                {
                    _AnimalFood = new List<AnimalFood>();
                }

                return _AnimalFood;
            }
            set
            {
                _AnimalFood = value;
            }
        }

        public void AddFood(Food food)
        {
            AnimalFood.Add(new AnimalFood()
            {
                AnimalId = Id,
                FoodId = food.Id,
                Animal = this,
                Food = food
            });
        }
    }
}
