﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;

namespace Scaffold123
{
    public class MiscellaneousManagementService
    {
        public List<Food> GetFoodsByAnimalId(int animalId)
        {
            var byAnimalId = new SqlParameter("AnimalId", animalId);

            using (var context = new ScaffoldDbContext())
            {
                var results = context.Food
                .FromSql("EXECUTE dbo.Food_GetByAnimalId @animalId", byAnimalId)
                .ToList();

                return results;
            }
        }
    }
}